Subject: bug#53839: 29.0.50; Strange bug causes tool bar to be overwritten

From: martin rudalics <[email-masked]>
Date: Mon, 7 Feb 2022 14:23:18 +0100

> On any Motif or Lucid build, start Emacs with `-q', making sure that the
 > splash screen is displayed.  A single pixel at the bottom of the tool
 > bar will be overwritten by the window underneath it, until the frame is
 > resized again.
 >
 > If I comment out this part of xfns.c:
 >
 >        /* As long as tool_bar_resized is false, effectively try to change
 > 	 F's native height.  */
 >        if (NILP (fullscreen) || EQ (fullscreen, Qfullwidth))
 > 	adjust_frame_size (f, FRAME_TEXT_WIDTH (f), FRAME_TEXT_HEIGHT (f),
 > 			   1, false, Qtool_bar_lines);
 >        else
 >
 > The problem goes away, but I can't figure out why that is.

I cannot reproduce that here, neither with the release branch nor with
master.  See the attached screenshot and notice one pixel between tool
bar and root window that comes from 'tool-bar-border'.

martin